Loading...
Searching...
No Matches
fourdst::config::validate::ConfigValidator< StructType >::TupleChecker< rfl::NamedTuple< Fields... > > Struct Template Reference

## Static Public Member Functions

static void | check (const toml::table *tbl, const std::string &path, std::vector< std::string > &missing)

## Member Function Documentation

## check()

template<typename StructType>
template<typename... Fields>

static void fourdst::config::validate::ConfigValidator< StructType >::TupleChecker< rfl::NamedTuple< Fields... > >::check | ( | const toml::table * | tbl,
|  | const std::string & | path,
|  | std::vector< std::string > & | missing )

inlinestatic

The documentation for this struct was generated from the following file:

- src/config/include/fourdst/config/validate.h